import controller from '../controller/controller'

module.exports = function (app: any) {
  // ======== APP ROUTES - PROJECT ====================

  app.get('/', function (req: any, res: any) {
    controller.showHome(res)
  })

  app.get('/mailinglists', function (req: any, res: any) {
    controller.showMailingList(res)
      .catch(err => console.error(err))
  })

  app.get('/projectoverview', function (req: any, res: any, next: any) {
    controller.showProjOverview(req, res, next)
      .catch(err => console.error(err))
  })

  // Projektdaten
  app.get('/projektdaten', function (req: any, res: any) {
    controller.showProjData(req, res)
      .catch(err => console.error(err))
  })

  // Projektinformationen
  app.get('/projektinformationen', function (req: any, res: any) {
    controller.showProjInformations(req, res)
      .catch(err => console.error(err))
  })
}
